al_draw_ribbon(3)

NAME

al_draw_ribbon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_ribbon(const float *points, int points_stride, ALLEGRO_COLOR color,
       float thickness, int num_segments)

DESCRIPTION

Draws a ribbon given an array of points. The ribbon will go through all of the passed points. The points buffer should consist of regularly spaced doublets of floats, corresponding to x and y coordinates of the vertices.

Parameters:

•   points - An array of coordinate pairs (x and y) for each point

•   points_stride - Distance (in bytes) between starts of successive pairs of coordinates in the points buffer

•   color - Color of the spline

•   thickness - Thickness of the spline, pass <= 0 to draw hairline spline

•   num_segments - The number of segments

SEE ALSO

al_calculate_ribbon(3)